Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataSetToStructuredPointsFilter Class Reference

`#include <vtkDataSetToStructuredPointsFilter.h>`

Inheritance diagram for vtkDataSetToStructuredPointsFilter:

[legend]
Collaboration diagram for vtkDataSetToStructuredPointsFilter:

[legend]
List of all members.

## Detailed Description

abstract filter class

Date:
  2002/10/04 20:43:43

Revision:
  1.44

vtkDataSetToStructuredPointsFilter is an abstract filter class whose subclasses take as input any dataset and generate structured points data on output.

See also:
  vtkGaussianSplatter vtkImplicitModeller vtkShepardMethod vtkVoxelModeller

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (54%)
  - Martin, Ken (21%)
  - Cedilnik, Andy (10%)
  - Lorensen, Bill (9%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkDataSetToStructuredPointsFilter.cxx)`
  - .`h` (`/Filtering/vtkDataSetToStructuredPointsFilter.h)`

Definition at line 50 of file vtkDataSetToStructuredPointsFilter.h.

## Public Types
typedef vtkStructuredPointsSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetInput (vtkDataSet *input)
vtkDataSet * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkDataSetToStructuredPointsFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDataSetToStructuredPointsFilter ()
| ~vtkDataSetToStructuredPointsFilter ()
void | ComputeInputUpdateExtents (vtkDataObject *output)

## Member Typedef Documentation

typedef vtkStructuredPointsSource vtkDataSetToStructuredPointsFilter::Superclass

| Reimplemented from vtkStructuredPointsSource. Definition at line 53 of file vtkDataSetToStructuredPointsFilter.h.

## Constructor & Destructor Documentation

vtkDataSetToStructuredPointsFilter::vtkDataSetToStructuredPointsFilter | ( |  | ) | `[inline, protected]`

| Definition at line 63 of file vtkDataSetToStructuredPointsFilter.h.

vtkDataSetToStructuredPointsFilter::~vtkDataSetToStructuredPointsFilter | ( |  | ) | `[inline, protected]`

| Definition at line 64 of file vtkDataSetToStructuredPointsFilter.h.

## Member Function Documentation

virtual const char* vtkDataSetToStructuredPointsFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkStructuredPointsSource.

int vtkDataSetToStructuredPointsFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredPointsSource.

virtual int vtkDataSetToStructuredPointsFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredPointsSource.

vtkDataSetToStructuredPointsFilter* vtkDataSetToStructuredPointsFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkStructuredPointsSource.

void vtkDataSetToStructuredPointsFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkStructuredPointsSource.

virtual void vtkDataSetToStructuredPointsFilter::SetInput | ( | vtkDataSet * | input | ) | `[virtual]`

| Set / get the input data or filter.

vtkDataSet* vtkDataSetToStructuredPointsFilter::GetInput | ( |  | ) |

| Set / get the input data or filter.

void vtkDataSetToStructuredPointsFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkSource.

The documentation for this class was generated from the following file:

- Filtering/vtkDataSetToStructuredPointsFilter.h